diff --git a/doc/manual.xml.head b/doc/manual.xml.head
index 46b664ff88..c84d4233dc 100644
--- a/doc/manual.xml.head
+++ b/doc/manual.xml.head
@@ -6557,6 +6557,12 @@ mailboxes $my_mx +mailbox3</screen>
                 <link linkend="duplicate-threads">
                 $duplicate_threads</link>)</entry>
               </row>
+              <row>
+                <entry>~#</entry>
+                <entry>broken threads (see
+                  <link linkend="strict_threads">
+                    $strict_threads</link>)</entry>
+              </row>
               <row>
                 <entry>~$</entry>
                 <entry>unreferenced messages (requires threaded view)</entry>
diff --git a/mutt.h b/mutt.h
index 1d43de11ca..cb0c959382 100644
--- a/mutt.h
+++ b/mutt.h
@@ -162,6 +162,7 @@ enum
   MUTT_DATE_RECEIVED,
   MUTT_DUPLICATED,
   MUTT_UNREFERENCED,
+  MUTT_BROKEN,
   MUTT_ID,
   MUTT_BODY,
   MUTT_HEADER,
diff --git a/pattern.c b/pattern.c
index d6f2f78e7f..28590f132f 100644
--- a/pattern.c
+++ b/pattern.c
@@ -854,6 +854,7 @@ static const struct PatternFlags
   { 'z', MUTT_SIZE, 0, eat_range },
   { '=', MUTT_DUPLICATED, 0, NULL },
   { '$', MUTT_UNREFERENCED, 0, NULL },
+  { '#', MUTT_BROKEN, 0, NULL },
   { 0, 0, 0, NULL },
 };
 
@@ -1644,6 +1645,8 @@ int mutt_pattern_exec(struct Pattern *pat, pattern_exec_flag flags,
       }
     case MUTT_UNREFERENCED:
       return (pat->not ^ (h->thread && !h->thread->child));
+    case MUTT_BROKEN:
+      return (pat->not ^ (h->thread && h->thread->fake_thread));
 #ifdef USE_NNTP
     case MUTT_NEWSGROUPS:
       return (pat->not ^ (h->env->newsgroups && patmatch(pat, h->env->newsgroups) == 0));
